## mingw-w64-adios2-2.9.2-1.src.tar.zst

=== examples/basics/CMakeLists.txt ===
#------------------------------------------------------------------------------#
# Distributed under the OSI-approved Apache License, Version 2.0.  See
# accompanying file Copyright.txt for details.
#------------------------------------------------------------------------------#

add_subdirectory(globalArray)
add_subdirectory(joinedArray)
add_subdirectory(localArray)
add_subdirectory(values)

=== testing/adios2/CMakeLists.txt ===
#------------------------------------------------------------------------------#
# Distributed under the OSI-approved Apache License, Version 2.0.  See
# accompanying file Copyright.txt for details.
#------------------------------------------------------------------------------#

add_subdirectory(interface)
add_subdirectory(unit)
add_subdirectory(engine)
add_subdirectory(transports)
add_subdirectory(bindings)
add_subdirectory(xml)
add_subdirectory(yaml)
add_subdirectory(performance)
add_subdirectory(helper)
add_subdirectory(hierarchy)
add_subdirectory(backward_compatibility)

=== thirdparty/EVPath/CMakeLists.txt ===
message_start_thirdparty()

set(BUILD_TESTING OFF)
set(CMAKE_INSTALL_CMAKEDIR "${CMAKE_INSTALL_CMAKEDIR}/thirdparty")

set(EVPATH_LIBRARY_PREFIX adios2${ADIOS2_LIBRARY_SUFFIX}_ CACHE INTERNAL "")
set(EVPATH_QUIET ON CACHE INTERNAL "")
set(EVPATH_INSTALL_HEADERS OFF CACHE INTERNAL "")
set(EVPATH_INSTALL_MODULE_DIR "${CMAKE_INSTALL_LIBDIR}/adios2-evpath-modules-${ADIOS2_VERSION_MAJOR}_${ADIOS2_VERSION_MINOR}" CACHE INTERNAL "")
set(EVPATH_INSTALL_PKGCONFIG OFF CACHE INTERNAL "")
set(EVPATH_NO_RDMA ON CACHE INTERNAL "")
set(EVPATH_USE_UDT4 OFF CACHE INTERNAL "")
set(EVPATH_USE_NVML OFF CACHE INTERNAL "")
set(EVPATH_DEFAULT_PORT_RANGE "ANY" CACHE INTERNAL "")
set(EVPATH_RUNTIME_COMPONENT adios2_evpath-runtime)
set(EVPATH_LIBRARY_COMPONENT adios2_evpath-libraries)
set(EVPATH_ARCHIVE_COMPONENT adios2_evpath-development)
set(EVPATH_HEADER_COMPONENT adios2_evpath-development)

add_subdirectory(EVPath)
set(EVPath_DIR ${CMAKE_CURRENT_BINARY_DIR}/EVPath CACHE INTERNAL "")

message_end_thirdparty()

=== thirdparty/enet/CMakeLists.txt ===
message_start_thirdparty()

set(CMAKE_INSTALL_CMAKEDIR "${CMAKE_INSTALL_CMAKEDIR}/thirdparty")
set(ENET_LIBRARY_PREFIX adios2${ADIOS2_LIBRARY_SUFFIX}_ CACHE INTERNAL "")
set(ENET_INSTALL_HEADERS OFF CACHE INTERNAL "")
set(ENET_INSTALL_PKGCONFIG OFF CACHE INTERNAL "")
set(ENET_RUNTIME_COMPONENT adios2_enet-runtime)
set(ENET_LIBRARY_COMPONENT adios2_enet-libraries)
set(ENET_ARCHIVE_COMPONENT adios2_enet-development)
set(ENET_HEADER_COMPONENT adios2_enet-development)
set(ENET_INSTALL_PKGCONFIG OFF)
set(BUILD_DOCS OFF)

add_subdirectory(enet)
set(enet_DIR ${CMAKE_CURRENT_BINARY_DIR}/enet CACHE INTERNAL "")

message_end_thirdparty()

=== thirdparty/ffs/CMakeLists.txt ===
message_start_thirdparty()

set(BUILD_TESTING OFF)
set(CMAKE_INSTALL_CMAKEDIR "${CMAKE_INSTALL_CMAKEDIR}/thirdparty")

set(FFS_USE_ATL ON CACHE INTERNAL "")
set(FFS_USE_DILL ON CACHE INTERNAL "")
set(FFS_LIBRARIES_ONLY ON CACHE INTERNAL "")
set(FFS_QUIET ON CACHE INTERNAL "")
set(FFS_LIBRARY_PREFIX adios2${ADIOS2_LIBRARY_SUFFIX}_ CACHE INTERNAL "")
set(FFS_INSTALL_HEADERS OFF CACHE INTERNAL "")
set(FFS_INSTALL_PKGCONFIG OFF CACHE INTERNAL "")
set(FFS_CONVERSION_GENERATION_DEFAULT OFF CACHE INTERNAL "")
set(FFS_RUNTIME_COMPONENT adios2_ffs-runtime)
set(FFS_LIBRARY_COMPONENT adios2_ffs-libraries)
set(FFS_ARCHIVE_COMPONENT adios2_ffs-development)
set(FFS_HEADER_COMPONENT adios2_ffs-development)

add_subdirectory(ffs)
set(ffs_DIR ${CMAKE_CURRENT_BINARY_DIR}/ffs CACHE INTERNAL "")

message_end_thirdparty()

=== thirdparty/pugixml/CMakeLists.txt ===
message_start_thirdparty()

add_subdirectory(pugixml)

message_end_thirdparty()

=== thirdparty/yaml-cpp/CMakeLists.txt ===
message_start_thirdparty()

add_subdirectory(yaml-cpp)

message_end_thirdparty()

=== examples/basics/joinedArray/CMakeLists.txt ===
#------------------------------------------------------------------------------#
# Distributed under the OSI-approved Apache License, Version 2.0.  See
# accompanying file Copyright.txt for details.
#------------------------------------------------------------------------------#

add_executable(joinedArray_write joinedArray_write.cpp)
target_link_libraries(joinedArray_write adios2::cxx11)

if(ADIOS2_HAVE_MPI)
  add_executable(joinedArray_write_mpi joinedArray_write.cpp)
  target_link_libraries(joinedArray_write_mpi adios2::cxx11_mpi MPI::MPI_C)
endif()

=== examples/hello/bpWriter/CMakeLists.txt ===
#------------------------------------------------------------------------------#
# Distributed under the OSI-approved Apache License, Version 2.0.  See
# accompanying file Copyright.txt for details.
#------------------------------------------------------------------------------#

add_executable(hello_bpWriter helloBPWriter.cpp)
target_link_libraries(hello_bpWriter adios2::cxx11)

add_executable(hello_bpWriter_c helloBPWriter.c)
target_link_libraries(hello_bpWriter_c adios2::c)

add_executable(hello_bpPutDeferred helloBPPutDeferred.cpp)
target_link_libraries(hello_bpPutDeferred adios2::cxx11)

add_executable(hello_bpSubStreams helloBPSubStreams.cpp)
target_link_libraries(hello_bpSubStreams adios2::cxx11)

if(ADIOS2_HAVE_SZ)
  add_executable(hello_bpSZ helloBPSZ.cpp)
  target_link_libraries(hello_bpSZ adios2::cxx11)
endif()

if(ADIOS2_HAVE_Fortran)
  add_executable(hello_bpWriter_f helloBPWriter.F90)
  set_property(TARGET hello_bpWriter_f PROPERTY LINKER_LANGUAGE Fortran)
  target_link_libraries(hello_bpWriter_f adios2::fortran)
endif()

if(ADIOS2_HAVE_MPI)
  add_executable(hello_bpWriter_mpi helloBPWriter.cpp)
  target_link_libraries(hello_bpWriter_mpi adios2::cxx11_mpi MPI::MPI_C)

  add_executable(hello_bpWriter_c_mpi helloBPWriter.c)
  target_link_libraries(hello_bpWriter_c_mpi adios2::c_mpi MPI::MPI_C)

  add_executable(hello_bpPutDeferred_mpi helloBPPutDeferred.cpp)
  target_link_libraries(hello_bpPutDeferred_mpi adios2::cxx11_mpi MPI::MPI_C)

  add_executable(hello_bpSubStreams_mpi helloBPSubStreams.cpp)
  target_link_libraries(hello_bpSubStreams_mpi adios2::cxx11_mpi MPI::MPI_C)

  if(ADIOS2_HAVE_SZ)
    add_executable(hello_bpSZ_mpi helloBPSZ.cpp)
    target_link_libraries(hello_bpSZ_mpi adios2::cxx11_mpi MPI::MPI_C)
  endif()

  if(ADIOS2_HAVE_Fortran)
    add_executable(hello_bpWriter_f_mpi helloBPWriter.F90)
    set_property(TARGET hello_bpWriter_f_mpi PROPERTY LINKER_LANGUAGE Fortran)
    target_link_libraries(hello_bpWriter_f_mpi adios2::fortran_mpi MPI::MPI_Fortran)
  endif()
endif()

=== examples/hello/skeleton/CMakeLists.txt ===
#------------------------------------------------------------------------------#
# Distributed under the OSI-approved Apache License, Version 2.0.  See
# accompanying file Copyright.txt for details.
#------------------------------------------------------------------------------#

add_executable(hello_skeletonWriter helloSkeletonWriter.cpp HelloSkeletonArgs.cpp)
target_link_libraries(hello_skeletonWriter adios2::cxx11)

add_executable(hello_skeletonReader helloSkeletonReader.cpp HelloSkeletonArgs.cpp)
target_link_libraries(hello_skeletonReader adios2::cxx11)

if(ADIOS2_HAVE_MPI)
  add_executable(hello_skeletonWriter_mpi helloSkeletonWriter.cpp HelloSkeletonArgs.cpp)
  target_link_libraries(hello_skeletonWriter_mpi adios2::cxx11_mpi MPI::MPI_C)

  add_executable(hello_skeletonReader_mpi helloSkeletonReader.cpp HelloSkeletonArgs.cpp)
  target_link_libraries(hello_skeletonReader_mpi adios2::cxx11_mpi MPI::MPI_C)
endif()

=== testing/install/Fortran/CMakeLists.txt ===
#------------------------------------------------------------------------------#
# Distributed under the OSI-approved Apache License, Version 2.0.  See
# accompanying file Copyright.txt for details.
#------------------------------------------------------------------------------#

cmake_minimum_required(VERSION 3.6)
project(adios_fortran_test Fortran C)
enable_testing()

find_package(adios2 COMPONENTS Fortran REQUIRED)

# Test using serial Fortran bindings through adios2::fortran target.
add_executable(adios_fortran_test main_nompi_check.F90)
target_link_libraries(adios_fortran_test adios2::fortran)
add_test(NAME adios_fortran_test COMMAND adios_fortran_test)

if(ADIOS2_HAVE_MPI)
  find_package(MPI REQUIRED)
  set(src main_mpi_check.F90)
  set(mpilib MPI::MPI_Fortran)
  set(mpiexec ${MPIEXEC_EXECUTABLE} ${MPIEXEC_EXTRA_FLAGS})

  # Test using mpi Fortran bindings through adios2::fortran_mpi target.
  add_executable(adios_fortran_mpi_test main_mpi_check.F90)
  target_link_libraries(adios_fortran_mpi_test adios2::fortran_mpi)
  add_test(NAME adios_fortran_mpi_test COMMAND ${mpiexec} $<TARGET_FILE:adios_fortran_mpi_test>)
else()
  set(src main_nompi_check.F90)
  set(mpilib)
  set(mpiexec)
endif()

# Test using Fortran bindings through legacy adios2::adios2_f target.
add_executable(adios_adios2_f_test ${src})
target_link_libraries(adios_adios2_f_test adios2::adios2_f ${mpilib})
add_test(NAME adios_adios2_f_test COMMAND ${mpiexec} $<TARGET_FILE:adios_adios2_f_test>)

=== thirdparty/enet/enet/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3)

project(ENET VERSION 1.3.14 LANGUAGES C)

# Some boilerplate to setup nice output directories
include(GNUInstallDirs)
set(CMAKE_INSTALL_CMAKEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/enet
  CACHE STRING "Installation CMake subdirectory")
mark_as_advanced(CMAKE_INSTALL_CMAKEDIR)

if(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY
    ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR})
endif()
if(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY
    ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR})
endif()
if(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY
    ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_BINDIR})
endif()

if(NOT DEFINED ENET_RUNTIME_COMPONENT)
  set(ENET_RUNTIME_COMPONENT bin)
endif()
if(NOT DEFINED ENET_LIBRARY_COMPONENT)
  set(ENET_LIBRARY_COMPONENT shlib)
endif()
if(NOT DEFINED ENET_ARCHIVE_COMPONENT)
  set(ENET_ARCHIVE_COMPONENT lib)
endif()
if(NOT DEFINED ENET_HEADER_COMPONENT)
  set(ENET_HEADER_COMPONENT dev)
endif()
if(NOT DEFINED ENET_DOC_COMPONENT)
  set(ENET_DOC_COMPONENT doc)
endif()

# Default to a RelWithDebInfo build if not specified
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY VALUE RelWithDebInfo)
endif()

include(CMakeDependentOption)

# Setup shared library defaults.  If explicitly specified somehow, then default
# to that.  Otherwise base the default on whether or not shared libs are even
# supported.
get_property(SHARED_LIBS_SUPPORTED GLOBAL PROPERTY TARGET_SUPPORTS_SHARED_LIBS)
cmake_dependent_option(BUILD_SHARED_LIBS
  "Build shared libraries (so/dylib/dll)." ${SHARED_LIBS_SUPPORTED}
  "SHARED_LIBS_SUPPORTED" OFF
)
mark_as_advanced(BUILD_SHARED_LIBS)

include(CheckFunctionExists)
check_function_exists(getaddrinfo HAS_GETADDRINFO)
check_function_exists(getnameinfo HAS_GETNAMEINFO)
check_function_exists(gethostbyaddr_r HAS_GETHOSTBYADDR_R)
check_function_exists(gethostbyname_r HAS_GETHOSTBYNAME_R)
check_function_exists(poll HAS_POLL)
check_function_exists(fcntl HAS_FCNTL)
check_function_exists(inet_pton HAS_INET_PTON)
check_function_exists(inet_ntop HAS_INET_NTOP)

include(CheckStructHasMember)
check_struct_has_member("struct msghdr" msg_flags sys/socket.h HAS_MSGHDR_FLAGS)

include(CheckCSourceCompiles)
check_c_source_compiles([=[
#include <sys/socket.h>
int main() { return sizeof(socklen_t); } ]=]
  HAS_SOCKLEN_T
)

set(ENET_LIBRARY_PREFIX "" CACHE STRING
  "Prefix to prepend to the output library name")
mark_as_advanced(ENET_LIBRARY_PREFIX)

add_library(enet
  callbacks.c
  compress.c
  host.c
  list.c
  packet.c
  peer.c
  protocol.c
)
set_target_properties(enet PROPERTIES
  OUTPUT_NAME ${ENET_LIBRARY_PREFIX}enet
  VERSION ${ENET_VERSION}
  SOVERSION ${ENET_VERSION_MAJOR}
)
add_library(enet::enet ALIAS enet)

target_compile_definitions(enet PRIVATE
  $<$<BOOL:${HAS_GETADDRINFO}>:HAS_GETADDRINFO>
  $<$<BOOL:${HAS_GETNAMEINFO}>:HAS_GETNAMEINFO>
  $<$<BOOL:${HAS_GETHOSTBYADDR_R}>:HAS_GETHOSTBYADDR_R>
  $<$<BOOL:${HAS_GETHOSTBYNAME_R}>:HAS_GETHOSTBYNAME_R>
  $<$<BOOL:${HAS_POLL}>:HAS_POLL>
  $<$<BOOL:${HAS_FCNTL}>:HAS_FCNTL>
  $<$<BOOL:${HAS_INET_PTON}>:HAS_INET_PTON>
  $<$<BOOL:${HAS_INET_NTOP}>:HAS_INET_NTOP>
  $<$<BOOL:${HAS_MSGHDR_FLAGS}>:HAS_MSGHDR_FLAGS>
  $<$<BOOL:${HAS_SOCKLEN_T}>:HAS_SOCKLEN_T>
)

if(UNIX)
  target_sources(enet PRIVATE unix.c)
elseif(WIN32)
  target_sources(enet PRIVATE win32.c)
endif()
target_include_directories(enet PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

# Setup pkgconfig
option(ENET_INSTALL_PKGCONFIG "Install enet pkgconfig files" ON)
mark_as_advanced(ENET_INSTALL_PKGCONFIG)
if(ENET_INSTALL_PKGCONFIG)
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/enet.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/enet.pc
    @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/enet.pc
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
    COMPONENT ${ENET_HEADER_COMPONENT})
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/enet-config.in
    ${CMAKE_CURRENT_BINARY_DIR}/enet-config
    @ONLY)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/enet-config
    DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT ${ENET_HEADER_COMPONENT})
endif()

option(ENET_INSTALL_HEADERS "Install enet header files" ON)
mark_as_advanced(ENET_INSTALL_HEADERS)
if(ENET_INSTALL_HEADERS)
  install(DIRECTORY include/enet
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}" COMPONENT ${ENET_HEADER_COMPONENT}
    FILES_MATCHING PATTERN "*.h"
  )
endif()
set(namelink_component_args)
if(NOT CMAKE_VERSION VERSION_LESS 3.12)
  set(namelink_component_args NAMELINK_COMPONENT ${ENET_HEADER_COMPONENT})
endif()
install(TARGETS enet
  EXPORT enet-targets
  RUNTIME       DESTINATION "${CMAKE_INSTALL_BINDIR}" COMPONENT ${ENET_RUNTIME_COMPONENT}
  LIBRARY       DESTINATION "${CMAKE_INSTALL_LIBDIR}" COMPONENT ${ENET_LIBRARY_COMPONENT} ${namelink_component_args}
  ARCHIVE       DESTINATION "${CMAKE_INSTALL_LIBDIR}" COMPONENT ${ENET_ARCHIVE_COMPONENT}
)

# Setup packaging and configs

# Add all targets to the build-tree export set
include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  "${PROJECT_BINARY_DIR}/enet-config-version.cmake"
  COMPATIBILITY SameMajorVersion)
configure_file(enet-config.cmake.in
  "${PROJECT_BINARY_DIR}/enet-config.cmake" @ONLY)
export(TARGETS enet NAMESPACE enet::
  FILE "${PROJECT_BINARY_DIR}/enet-targets.cmake")

# Install the enet-config.cmake and enet-config-version.cmake
install(FILES
  "${PROJECT_BINARY_DIR}/enet-config.cmake"
  "${PROJECT_BINARY_DIR}/enet-config-version.cmake"
  DESTINATION "${CMAKE_INSTALL_CMAKEDIR}"
  COMPONENT ${ENET_HEADER_COMPONENT})

# Install the export set for use with the install-tree
install(EXPORT enet-targets NAMESPACE enet::
  DESTINATION "${CMAKE_INSTALL_CMAKEDIR}"
  COMPONENT ${ENET_HEADER_COMPONENT})

# Build documentation
find_package(Doxygen)
cmake_dependent_option(BUILD_DOCS
  "Build documentation." OFF 
  "Doxygen_FOUND" OFF)
if(BUILD_DOCS)
  doxygen_add_docs(enet_docs "${CMAKE_CURRENT_SOURCE_DIR}" ALL)
  install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html" DESTINATION "${CMAKE_INSTALL_DOCDIR}" COMPONENT ${ENET_DOC_COMPONENT})
endif()

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=ADIOS2
pkgbase=mingw-w64-${_realname,,}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname,,}")
pkgver=2.9.2
pkgrel=1
pkgdesc="The Adaptable Input/Output System version 2 (mingw-w64)"
arch=(any)
mingw_arch=('mingw64' 'mingw32' 'ucrt64' 'clang64' 'clang32' 'clangarm64')
msys2_references=(
  'archlinux: adios2'
)
msys2_repository_url="https://github.com/ornladios/ADIOS2/"
url="https://adios2.readthedocs.io/en/latest/"
license=('spdx:Apache-2.0')
depends=("${MINGW_PACKAGE_PREFIX}-blosc2"
         "${MINGW_PACKAGE_PREFIX}-bzip2"
         "${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-hdf5"
         "${MINGW_PACKAGE_PREFIX}-libpng"
         "${MINGW_PACKAGE_PREFIX}-libsodium"
         "${MINGW_PACKAGE_PREFIX}-nlohmann-json"
         "${MINGW_PACKAGE_PREFIX}-pugixml"
         "${MINGW_PACKAGE_PREFIX}-pybind11"
         "${MINGW_PACKAGE_PREFIX}-yaml-cpp"
         "${MINGW_PACKAGE_PREFIX}-zeromq"
         "${MINGW_PACKAGE_PREFIX}-zlib")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             $([[ ${MINGW_PACKAGE_PREFIX} == *-clang-* && ${MSYSTEM} != *64 ]] || echo \
               "${MINGW_PACKAGE_PREFIX}-fc")
             "${MINGW_PACKAGE_PREFIX}-python"
             "${MINGW_PACKAGE_PREFIX}-python-numpy")
source=(https://github.com/ornladios/ADIOS2/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz
        003-no-regex_h-with-clang.patch)
sha256sums=('78309297c82a95ee38ed3224c98b93d330128c753a43893f63bbe969320e4979'
            '379fe5edf3df2474edfe6515e0592af681c17f082fb4885b5cd554bdee11cd36')

# Helper macros to help make tasks easier #
apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying ${_patch}"
    patch -Nbp1 -i "${srcdir}/${_patch}"
  done
}

prepare() {
  cd "${srcdir}"/${_realname}-${pkgver}
  apply_patch_with_msg \
    003-no-regex_h-with-clang.patch
}

build() {
  mkdir -p "${srcdir}/build-${MSYSTEM}" && cd "${srcdir}/build-${MSYSTEM}"

  declare -a extra_config
  if check_option "debug" "n"; then
    extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  LDFLAGS+=" -Wl,--export-all-symbols"
  CXXFLAGS+=" -Wno-narrowing"

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    -GNinja \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    ${extra_config[@]} \
    -DCMAKE_C_FLAGS=-Duint="\"unsigned int\"" \
    -DBUILD_SHARED_LIBS=ON \
    -DADIOS2_USE_EXTERNAL_DEPENDENCIES=ON \
    -DADIOS2_USE_Blosc2=ON \
    -DADIOS2_USE_BZip2=ON \
    -DADIOS2_USE_DataMan=ON \
    -DADIOS2_USE_Fortran=$([[ ${MINGW_PACKAGE_PREFIX} != *-clang-* || ${MSYSTEM} == *64 ]] && echo "ON" || echo "OFF") \
    -DADIOS2_USE_HDF5=ON \
    -DADIOS2_USE_Python=ON \
    -DADIOS2_USE_PNG=ON \
    -DADIOS2_USE_ZeroMQ=ON \
    -DADIOS2_USE_DataMan=OFF \
    -DADIOS2_USE_DataSpaces=OFF \
    -DADIOS2_USE_Endian_Reverse=OFF \
    -DADIOS2_USE_IME=OFF \
    -DADIOS2_USE_MGARD=OFF \
    -DADIOS2_USE_MPI=OFF \
    -DADIOS2_USE_Profiling=OFF \
    -DADIOS2_USE_SST=OFF \
    -DADIOS2_USE_SZ=OFF \
    -DADIOS2_USE_ZFP=OFF \
    -DPython_EXECUTABLE=${MINGW_PREFIX}/bin/python \
    -DADIOS2_BUILD_EXAMPLES=OFF \
    -DBUILD_TESTING=OFF \
    ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install .

  MSYS2_ARG_CONV_EXCL="-p" python -m compileall \
  -o 0 -o 1 -q -s"${pkgdir}" -p"/" "${pkgdir}${MINGW_PREFIX}/lib"

  install -D -m644 "${srcdir}"/${_realname}-${pkgver}/LICENSE \
    "${pkgdir}"${MINGW_PREFIX}/share/${_realname,,}/LICENSE
}
